Subject: RE: [Speermint] Interest in SPEERMINT provisioning issues.

From: "Richard Shockey" <[email-masked]>
Date: Thu, 7 Dec 2006 21:18:56 -0500

OK ... I'm not going to be a protocol bigot here but I do think we are in
agreement that provisioning is a critical element to any discussion of
federations and peering.

Irrespective of the natural TN 2 URI ENUM mappings to points of
interconnection there is the expression of policies etc that will have to be
documented.

My only concern is that discussions of this class of topic not be taken
without the input of the poor companies that actually have to do this kind
of work for service providers.

We certainly know who some of them are... the issue how do we create a
proper forum that takes into account the obvious need with the reality of
implementation strategies.

Is the work appropriate for SPEERMINT aka is it within charter or is some
separate WG necessary.

OSS provisioning issues are a difficult beasts that have to be integrated
into larger Operational Support environments. That is my point.

I'm just asking questions here. This is IMHO a issue we need to have some
consensus on before Prague so lets start asking the right questions.

David to your point clearly there needs to be a Requirements document that
outlines what is required etc so some preliminary ID on the subject are
certainly in order.

LIST: please chime in here with comments.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, December 07, 2006 5:23 PM
> To: Andrew Newton; [email-masked]
> Cc: [email-masked]
> Subject: Re: [Speermint] Interest in SPEERMINT provisioning issues.
> 
> I am with Andy on this. In fact I have spent some time looking over the
> various formats we use in different relationships amd have started to put
> together a short doc describing what information we deem important.
> 
> Protocol is secondary.
> 
> Hope to be able to send our formats to list by next week.
> 
> Cheers,
> 
> David
> 
> Sent via BlackBerry from T-Mobile
> 
> -----Original Message-----
> From: Andrew Newton <[email-masked]>
> Date: Thu, 7 Dec 2006 15:21:30
> To:[email-masked]
> Cc:[email-masked]
> Subject: Re: [Speermint] Interest in SPEERMINT provisioning issues.
> 
> Richard,
> 
> I think you are starting this off on the wrong foot, that is with a
> technology battle.  I've personally reviewed the specs for many of
> the peering points and only one used SOAP.  We shouldn't start off
> with a SOAP vs EPP vs REST vs ASN.1 battle.
> 
> As I stated at the mic when I brought up this idea, the design team
> should focus on the functional requirements for a provisioning
> interface.  It may turn out that EPP works just fine and that people
> hoisting their flavor of SOAP are just trying to drive a wedge in the
> marketplace.  If it turns out that EPP isn't right, then we can let
> the powers that be worry about who gets to specify the new protocol,
> etc...
> 
> To answer part of your question, yes I am interested in finding out
> what functions a provisioning interface needs to have.
> 
> -andy
> 
> On Dec 7, 2006, at 2:41 PM, Richard Shockey wrote:
> 
> >
> > There was some talk in San Diego of interest in peeling off the
> > provisioning
> > issues surrounding SPEERMINT information registries into a separate
> > work
> > item.
> >
> > I'd like to get a poll of the list to see again how many people are
> > interested in the work and what might be the proper way to expedite
> > this.
> >
> > We're certainly not ready to provision policy yet but its clear
> > that some
> > form of SPEERMINT provisioning requirements document is in order.
> >
> > As I mentioned in the meeting there has been some preliminary work
> > in the
> > area from the ENUM WG however it is based on EPP and as I mentioned
> > most of
> > the OSS systems now deployed in carrier networks have generally
> > been based
> > on SOAP/XML.
> >
> >
> >
> >         RFC 4114
> >
> >         Title:      E.164 Number Mapping for the Extensible
> >                     Provisioning Protocol (EPP)
> >         Author(s):  S. Hollenbeck
> >         Status:     Standards Track
> >         Date:       June 2005
> >         Mailbox:    [email-masked]
> >         Pages:      17
> >         Characters: 31490
> >         Updates/Obsoletes/SeeAlso:    None
> >
> >         I-D Tag:    draft-ietf-enum-epp-e164-08.txt
> >
> >         URL:        ftp://ftp.rfc-editor.org/in-notes/rfc4114.txt
> >
> >
> > Provisioning issues are not very sexy but are essential to moving
> > things
> > forward.
> >
> > A. What interest is there in this work?
> >
> > B. What scope should it take? SOAP etc?
> >
> > C. Where should this work be done?
> >
> >
> > Richard Shockey
> > Director, Member of the Technical Staff
> > NeuStar
> > 46000 Center Oak Plaza - Sterling, VA 20166
> > sip:rshockey(at)iptel.org
> > sip:5651(at)neustarlab.biz
> > PSTN Office +1 571.434.5651
> > PSTN Mobile: +1 703.593.2683
> > <mailto:richard(at)shockey.us>
> > <mailto:richard.shockey(at)neustar.biz>
> >
> >
> >
> >
> >
> >
> > _______________________________________________
> > Speermint mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speermint
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint